tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PEPExtension

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PEPExtension

- All Implemented Interfaces:
    ContextAware, Extension

      public class PEPExtension
      extends Object
      implements Extension, ContextAware

  Author:
    Wojciech Kapcia

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PEPExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `afterReceive(Element received)`
    `Element` | `beforeSend(Element received)`
    `String[]` | `getFeatures()`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PEPExtension

          public PEPExtension()

  - ### Method Detail

    - #### afterReceive

          public Element afterReceive(Element received)
                               throws JaxmppException

      Specified by:
        `afterReceive` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### beforeSend

          public Element beforeSend(Element received)
                             throws JaxmppException

      Specified by:
        `beforeSend` in interface `Extension`
      Throws:
        `JaxmppException`

    - #### getFeatures

          public String[] getFeatures()

      Specified by:
        `getFeatures` in interface `Extension`

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2020 Tigase. All rights reserved.